/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.custom.entity.gs.GdQualityStatis;
import com.tofly.xrtygis.custom.entity.gs.GdStatisReslut;
import com.tofly.xrtygis.custom.entity.gs.RecordStatis;
import com.tofly.xrtygis.entity.Pfrecord;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 评分记录表
 *
 * @author wangjieliu
 * @date Thu Jun 17 00:00:00 CST 2021
 */
public interface PfrecordMapper extends BaseMapper<Pfrecord> {
    List<GdQualityStatis> getGdQualityNum();

    List<GdQualityStatis> getQualityNum();

    String getCallResultName(@Param("callResult") Long callResult);

    List<RecordStatis> getRecordNum();

    String getCallTypeName(@Param("callType") String callType);

    String getIsreslutName(@Param("reslut") String reslut);

    String getQualityReslut(@Param("reslut") String reslut);

    boolean updateGdQualityState(@Param("gdbh") String pfGdbh);
}
